
export default prefix => ({
  fetchBillList: {
    url: `${prefix}/bills`,
    method: 'get',
    action: 'admin.bills'
  },

  // 保存草稿 或者 发布账单
  billUploadExcelAdd: {
    url: `${prefix}/bill/uploadExcel/add`,
    method: 'post',
    action: 'admin.bill.add'
  },

  // 根据 id 修改缴费项状态
  updateBillStatus: {
    url: `${prefix}/bill/updateBillStatus/:id`,
    method: 'put',
    action: 'admin.bill.status'
  },

  //  根据 id集合 删除缴费项
  deleteBillBeach: {
    url: `${prefix}/bill/deleteBillBeach`,
    method: 'post',
    action: 'admin.bill.delete'
  },

  // 下载excel模板
  billDownloadExcel: {
    url: `${prefix}/bill/downloadExcel`,
    method: 'get',
    action: 'admin.bill.downloadExcel'
  },

  // 上传 excel 模板
  billUploadExcel: {
    url: `${prefix}/bill/uploadExcel/get`,
    method: 'post',
    action: 'admin.bill.uploadExcel'
  },

  // 根据收费项ID查询,收费项详情
  getBillInfoBydId: {
    url: `${prefix}/bill/:id`,
    method: 'get',
    action: 'admin.bill.get'
  },

  // 根据缴费项id, 查询草稿
  billInvoiceGetInvoiceInvalid: {
    url: `${prefix}/bill/invoice/getInvoiceInvalid`,
    method: 'post',
    action: 'admin.bill-invoice.getInvoiceInvalid'
  },

  // 获取流水信息
  getBillStatementAll: {
    url: `${prefix}/bill/statement/all`,
    method: 'post',
    action: 'admin.bill-statement.all'
  },

  // 下载excel
  exportStatementExcel: {
    url: `${prefix}/bill/statement/exportExcel`,
    method: 'get',
    action: 'admin.bill-statement.export'
  },

  // 根据点单查询，缴费单
  getByOrderNumberBillInvoice: {
    url: `${prefix}/bill/order/getByOrderNumberBillInvoice/:id`,
    method: 'get',
    action: 'admin.bill-statement.getByOrderNumberBillInvoice'
  },

  // 查询缴费单
  getBillInvoiceList: {
    url: `${prefix}/bill/invoice/list`,
    method: 'post',
    action: 'admin.bill-invoice.list'
  },

  //  根据 id 批量删除 缴费单
  deleteBillInvoiceById: {
    url: `${prefix}/bill/invoice/delete`,
    method: 'post',
    action: 'admin.bill-invoice.delete'
  },

  // 设置线下缴费
  billInvoiceOfflinePayment: {
    url: `${prefix}/bill/invoice/offlinePayment`,
    method: 'post',
    action: 'admin.bill-invoice.offlinePayment'
  },

  // 根据缴费单id, 修改金额
  updateBillInvoiceIdPayPrice: {
    url: `${prefix}/bill/invoice/updateBillInvoiceIdPayPrice/:id`,
    method: 'post',
    action: 'admin.bill-invoice.updatePrice'
  },
  
// 根据收费单id, 修改收费说明
  updateBillInvoiceIdBillInvoiceExplain: {
    url: `${prefix}/bill/invoice/updateBillInvoiceIdBillInvoiceExplain/:id`,
    method: 'post',
    action: 'admin.bill-invoice.updateExplain'
  },

  // 修改缴费项 收费项名称,缴费项说明,截止时间
  updateBillNameAndBillExplainAndEndDate: {
    url: `${prefix}/bill/invoice/updateBill`,
    method: 'put',
    action: 'admin.bill-invoice.updateBill'
  },

  // 导出excel
  exportBillInvoiceExcel: {
    url: `${prefix}/bill/invoice/exportExcel/:id`,
    method: 'get',
    action: 'admin.bill-invoice.exportExcel'
  },

// 由前台批量添加收费单, 默认定为 作废
  addTempBillInvoice: {
    url: `${prefix}/bill/invoice/addTempBillInvoice`,
    method: 'post',
    action: 'admin.bill-invoice.addTempBill'
  },

  // 查询前台批量添加的收费单, 状态是作废
  getTempBillInvoice: {
    url: `${prefix}/bill/invoice/getTempBillInvoice/:id`,
    method: 'get',
    action: 'admin.bill-invoice.tempBill'
  },

  // 根据id删除收费单, 只能删除作废的
  deleteTempBillInvoice: {
    url: `${prefix}/bill/invoice/deleteTempBillInvoice/:id`,
    method: 'delete',
    action: 'admin.bill-invoice.deleteTempBill'
  },

  // 由前台批量添加收费单, 进行统一的提交, 修改为有效
  updateBillInvoiceStatus: {
    url: `${prefix}/bill/invoice/updateBillInvoiceStatus`,
    method: 'post',
    action: 'admin.bill-invoice.updateStatus'
  }

})
